Skip to content

Add an email to a contact

POST
/products/{productId}/contacts/{id}/emails
curl --request POST \
--url https://api.motenya.app/v1/products/example/contacts/example/emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "example" }'

Requires crm:write.

productId
required
string
>= 1 characters <= 64 characters
id
required
string
>= 1 characters <= 64 characters
Media typeapplication/json
object
email
required
string
<= 254 characters

Example generated

{
"email": "example"
}

Success

Media typeapplication/json
object
id
required
string
>= 1 characters <= 64 characters
name
required
string | null
emails
required
Array<string>
phone
required
string | null
language
required
string | null
tags
required
Array<string>
custom
required
object
key
additional properties
source
required
string
externalId
required
string | null
clients
required
Array<object>
object
clientId
required
string
>= 1 characters <= 64 characters
name
required
string
kind
required
string
Allowed values: company individual
role
required
string | null
createdAt
required
string
updatedAt
required
string
key
additional properties

Example

{
"clients": [
{
"kind": "company"
}
]
}

Invalid request

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing, invalid, revoked or expired API key

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing scope, API turned off, published article without publish scope, or account suspended

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Not found, or outside the knowledge bases this key may use

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Slug or translation already exists

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rejected by validation (e.g. unknown language or category)

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rate limited; see Retry-After

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Internal error